* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Jost', sans-serif;
}
*::selection{
    color: white;
    background-color:rgb(207, 152, 0);
}
html {
    scroll-behavior: smooth;
    }

    
body {
    background: url(img/fondoimg.png);
    background-attachment:fixed;
    background-repeat: no-repeat;
    background-size: cover;
}
header {
    background-color:rgb(255, 199, 44);
    padding: 35px;
}
img{
    -khtml-user-select: none;
    -o-user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
}
.sesion {
    background-color: rgba(0, 0, 0, 0.3);
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    pointer-events: none;
    opacity: 0;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    height: 100vh;
    width: 100vw;
    padding: 40px;
    transition: opacity 0.3s ease;
    overflow: scroll;
    overflow: auto;
    z-index: 2;
}
.show {
    pointer-events: auto;
    opacity: 1;
}
.barra-busqueda{
    border: none;
    padding: 5px 10px;
    background: transparent;
    border-bottom: 2px solid black;
    font-size: 1em;
    outline: none;
}
.barra-busqueda::placeholder{
    font-weight:bold;
    color: black;
}
.header-img{
    cursor: pointer;
    margin: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}
/*.carrito-aviso{
    position: absolute;
    width: 10px;
    height: 10px;
    top: 0;
    right: -3px;
    border-radius: 50%;
    background-color: rgb(221, 17, 17);
}*/
                                                /*INICIO SESION*/

.vent_sesion {
    margin:auto;
    background-color: rgba(255, 255, 255);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.9);
    
}
.bg_iniciar-sesion-container{
    background:url(img/bg_bottle.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    color: white;
    height: 260px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 120px;
}
.bg_iniciar-sesion-container h1{
    font-size: 1.8em;
}
.div-email_contraseña{
    padding: 15px;
}
.input-datos{
    margin-top: 20px;
}
.sesion-input{
    margin-top:10px;
    background-color:rgb(128, 128, 128,0.3);
    border:solid rgb(184, 184, 184);
    line-height: 2.5em;
    font-size: 1em;
    width:100%;
}
.sesion-input::placeholder{
    color:rgb(145, 142, 142);
    font-size: 1em;
    padding: 10px;
}
.button-submit{
    margin: 20px;
    text-align: center;
}
.button-submit button{
    font-size: 1.1em;
    padding: 2px;
}
.vent_sesion .espacio{
    height:5px;
    background:black;
    margin:10px;
    margin-left:25px;
    margin-right:25px;
}
#btn_cerrar{
    position: absolute;
    top:-20px;
    right: -20px;
    z-index: 1;
    background:none;
    border:none;
    cursor: pointer;
}

                                                        /*FIN INICIO SESION*/

                                                            /*REGISTRO*/
#registro_sesion{
    padding: 15px;
}
.checkbox_1{
    text-align: center;
    margin: 30px;
    color:black;
}
.header-logo{
    display: flex;
    justify-content:center;
    align-items: center;
}
#logo {
    text-align: center;
    padding:0px 15px;
}
.cajalogonav{
    background-color:rgb(255, 199, 44,0.8);
    padding:20px;
    transition: all 0.3s;
}
nav {
    display: flex;
}

.nav {
    margin-right: 40px;
    margin-left: 40px;
}
nav ul {
    list-style: none;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
    display: flex;
}
nav ul li{
    border-radius: 10px;
    background-color:rgba(206, 171, 124, 0.5);
}
nav ul li a {
    color: black;
    text-decoration: none;
    padding: 10px;
    display: block;
    text-align: center;
    font-size: 1.2em;
    border:2px solid rgb(255, 199, 44);
    border-radius: 10px;
    transition: all 0.3s;
}
nav ul li a:hover{
    color: white;
    background-color:rgba(153, 93, 15, 0.8);
    transition: all 0.15s;
    border:2px solid white;
}

.titulo-section{
    text-align: center;
    color: white;
    font-size: 2.5em;
}
                                            /*BARRA NAV - JS SCROLL*/

.navegador-fixed {
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    background-color: rgb(209, 171, 0);
    padding: 10px;
    -webkit-transition: all ease 1s;
    transition: all 0.3s;
    box-shadow: 10px 5px 15px black;
}
.navegador-fixed ul li {
    border-radius: 10px;
    background-color:rgba(206, 171, 124, 0.5);
}
.lupa-fixed{
    position: fixed;
    top: 0;
    margin: 20px;
    left: 0;
    z-index: 2;
    transition: all 0.3s;
}
.iniciar_sesion-fixed{
    position: fixed;
    top: 0;
    margin: 20px;
    right: 0;
    z-index: 2;
    transition: all 0.3s;
}
.carrito-fixed{
    position: fixed;
    top: 0;
    margin: 20px;
    right: 5%;
    z-index: 2;
    transition: all 0.3s;
}
                                                                /*(LAS MAS VENDIDAS)*/


.grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-auto-columns: auto;
    gap: 0.5em;
    align-items: center;
    margin-left: 100px;
    margin-right: 100px;
    margin-bottom: 100px;
    position: relative;
}
.grid .productos {
    background-color: rgb(255, 255, 255,0.7);
    border: 3px solid grey;
    /*background-color: rgb(255, 215, 0,0.7);*/
    width:100%;
    height: 100%;
    /*border: 2px solid rgb(255, 215, 0);*/
    transition: all 0.15s;
    text-align: center;
}
.productos .productos-precio{
   font-weight: 600;
   font-size: 2em;
}
.grid .productos:hover{
    background-color: rgb(255, 215, 0,0.2);
    color: white;
}
.grid .productos img{
    margin: 20px;
}
.grid .productos .banderas{
    position: absolute;
}
/*.productos .banderas img{
    position: relative;
}*/
.grid .productos .espacio-producto{
    height: 2px;
    margin: 10px;
    margin-left:25px;
    margin-right:25px;
    background: rgb(145, 145, 145);
}
.productos-titulo{
    font-size: 1.25em;
    text-align: center;
}
.btn_agregar{
    margin: 20px;
    padding: 5px;
    font-size: 1.25em;
    border: none;
    color: #262626;
    border-radius: 2px;
    background:white;
    cursor: pointer;
}

.btn_agregar:hover{
    color: white;
    background:rgb(255, 215, 0,0.4);
}
.type-y-agregar{
    margin-top: 20px;
    text-align: center;
}
/*.nice-number button{
    background:#262626;
    cursor: pointer;
    outline: none;
    color: white;
    border:none;
    padding: 0px 10px;
}
.nice-number button:hover{
    background:#111111;
}
.swal-wide{
}*/
                    /*QUE PACK TE GUSTARIA RECIBIR?*/

.div-pack{
    background-color:rgba(255, 215, 103, 0.8);
    padding-bottom: 100px;
}
.div-pack h1{
    font-size: 3.2em;
    padding: 50px;
    text-align: center;
    color: rgb(126, 61, 0);
}
.div-pack div{
    display: flex;
    gap: 1em;
    justify-content: space-evenly;
    text-align:center;
    align-items: center;
    flex-wrap: wrap;
}
.div-pack p{
    font-size: 2em;
    border-top: 1px solid black;
    padding: 10px;
}
.div-pack img{
    border-radius: 20px;
}

                /*INFO*/

.info-grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2em;
    margin: 100px;
}
.info-grid div{
    background-color: rgb(255, 236, 67);
    width: 400px;
    height: 200px;
    font-size: 1.1em;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    border: 3px solid rgb(136, 116, 0);
    border-radius: 10px;
    transition: all 0.3s;
}
.info-grid div:hover{
    background-color: rgb(255, 236, 67,0.8);
    transition: all 0.3s;
}
.ejemplo-titulo{
    width: 300px;
}
                                                                                    /* 2) CATEGORIAS*/

.grid-categorias{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 1em;
}
.grid-categorias div{
    width: 375px;
    height: 200px;
    background-color: rgb(128, 128, 128,0.8);
    border: 3px solid rgb(78, 78, 78);
    border-radius: 10px;
    font-size: 1.5em;
    color: white;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    cursor: pointer;
    transition: all 0.3s;
}
.grid-categorias div:hover{
    transition: all 0.4s;
    background-color: rgb(128, 128, 128,0.4);
}

    /*LATAS*/

.grid-categorias_latas{
    height: auto;
    background-color: rgba(204, 209, 209 , 0.8);
}
.grid-categorias_latas h2{
    text-align: center;
    font-size: 2em;
    padding: 20px;
    color: white;
    background-color: rgb(99, 99, 99);
}
.grid-categorias_latas p{
    text-align: center;
}
.espacio-categorias{
    height: 2px;
    background: rgb(145, 145, 145);
    margin: 10px;
    
}
        /*POR PAIS*/

.grid-categorias_pp{
    height: auto;
    background-color: rgba(204, 209, 209 , 0.8);
}

.grid-categorias_pp h2{
    text-align: center;
    font-size: 2em;
    padding: 20px;
    color: white;
    background-color: rgb(99, 99, 99);
}

.grid-categorias_promos{
    height: auto;
    background-color: rgba(204, 209, 209 , 0.8);
}

.grid-categorias_promos h2{
    text-align: center;
    font-size: 2em;
    padding: 20px;
    color: white;
    background-color: rgb(99, 99, 99);
}
                                                                                    /* 3) PREG FREC*/

.preg-caja ul{
    list-style: none;
    color: white;
    font-size: 1.4em;
    width: 100%;
}
.preg-caja ul li{
    border:none;
    cursor: pointer;
    border-radius: 50px;
    margin: 20px;
    padding: 15px;
    background-color: rgb(194, 142, 0);
}    

#flecha-arriba{
    position: fixed;
    cursor: pointer;
    background-color: white;
    border-radius: 50%;
    right: 25px;
    bottom: 25px;
    z-index: 1;
    width:40px;
    box-shadow: 1px 0px 15px black;
    transition: all 0.3s;
}
#flecha-arriba:hover{
    background-color: rgb(187, 187, 187);
    transition: all 0.3s;
}



.footer{
    position: relative;
    min-height: auto;
    padding: 20px;
    background: url("img/wave.png") center top repeat-x;
    background-size: cover;
}
.footer footer{
    
    margin-top: 120px;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.footer footer div{
    text-align: center;
   
}
.footer footer div ul{
    list-style: none;
    padding: 20px;
}
                                                /*RESPONSIVE DESIGN*/

@media screen and (max-width : 1100px) {
    nav ul{
        display: grid;
        grid-template-columns: 1fr 1fr;
    }
    .nav{
        margin: 10px;
    }
    nav ul li a{
        font-size: 1em;
    }
}
@media screen and (max-width : 630px) {
    nav ul li a{
        font-size: 0.8em;
    }
}
@media screen and (max-width : 910px){
    .header-logo{
        padding: 40px;
    }
}
@media screen and (max-width : 850px){
    .carrito-fixed {
        display: none;
    }
    .iniciar_sesion-fixed{
        display: none;
    }
    .lupa-fixed{
        display: none;
    }
}
@media screen and (max-width : 650px) {
    #logo img{
        width: 300px;
    }
    .header-logo{
        padding: 40px;
    }
    .header-logo .botella-img{
        width: 10px;
    }
}
@media screen and (max-width : 400px) {
    #logo img{
        width: 200px;
    }
    .header-logo{
        margin-top:60px;
    }
    .header-logo .botella-img{
        width: 10px;
    }
}
@media screen and (max-width : 420px){
    .titulo-section{
        font-size: 2em;
    }
}

@media screen and (max-width : 720px){
    .vent_sesion{
        width: 500px;
    }
}
@media screen and (max-width : 620px){
    .vent_sesion{
        width: 400px;
    }
    .bg_iniciar-sesion-container h1{
        font-size: 1.3em;
    }
    .bg_iniciar-sesion-container p{
        font-size: 0.8em;
    }
}

.responsive-comprar{
    color: white;
    font-size: 1.5em; 
    height:100px;
    background-color: rgb(109, 109, 109);
    display: flex;
    align-items: center; 
    justify-content: space-evenly; 
    
}
@media screen and (max-width : 720px){
.responsive-comprar{
    padding: 80px;
    flex-direction: column;
    justify-content: space-around;
}
}


                                                /*RESPONSIVE DESIGN - 1) PAGINA PRINCIPAL - BIENVENIDOS (LAS MAS VENDIDAS) */




@media screen and (max-width : 1070px){
    .grid{
        grid-template-columns: 1fr 1fr;
    }
}


@media screen and (max-width : 1070px){
    .grid{
        grid-template-columns: 1fr 1fr;
    }
}

@media screen and (max-width : 665px){
    .grid{
        grid-template-columns: 1fr;
        gap: 1em;
        margin:50px;
        padding: 20px;
    }
}

@media screen and (max-width : 370px){
    .grid{
        font-size:0.8em;
    }
}

@media screen and (max-width : 1230px){
    .grid-categorias{
        grid-template-columns: 1fr 1fr;
    }
}
@media screen and (max-width : 820px){
    .grid-categorias{
        grid-template-columns: 1fr; 
    }
}
@media screen and (max-width : 520px){
    .grid-categorias div{
        width: 250px;
        height: 120px;
        font-size: 1em;
    }
    .grid-categorias div img{
        width: 70px;
    }
}





@media screen and (max-width : 1350px){
    .info-grid{
          grid-template-columns: 1fr;
             }
    }

@media screen and (max-width : 1020px){
    .div-pack h1{
        font-size: 2em;
    }
}
@media screen and (max-width : 400px){
    .img-pack{
        width: 200px;
    }
}

@media screen and (max-width : 650px){
    .info-grid div{
        width: 300px;
        height: 150px;
        font-size: 0.8em;
             }
             .info-grid div img{
                width:60px; 
                
             }
    }

@media screen and (max-width : 380px){
    .info-grid{
        margin: 50px;
    }
    .info-grid div{
        width: 200px;
        height: 100px;
        font-size: 0.5em;
             }
             .info-grid div img{
                width:50px; 
                
             }
    }
    
    /*carrito*/
   
@media screen and (max-width : 720px){
    .cart-items{
        font-size: 0.9em;
    }
}       